const assert = require('assert');
const { When, Then } = require('@cucumber/cucumber');

When('protocol getType is called', function() {
  this.type = this.protocol.getType(this.message);
});

Then('getType returns message.payload.message_type if present', function() {
  assert.equal(this.type, this.message.payload.message_type);
});

Then('getType returns null if message.payload.message_type is not present', function() {
  assert.equal(this.type, null);
});